<?php

$query=$db->prepare("SELECT * FROM iletisim order by durum ASC");
$query->execute();

// Toplu Sil //

if(isset($_POST["deleteiletisim"])){
	$delproduct = $_POST["deleteiletisim"];
	foreach($delproduct as $deleteiletisim){
		$delete = $db->prepare("DELETE FROM iletisim where id = ?");
		$delete->execute(array($deleteiletisim));
		if ($delete) {
			$success = 'İşlem başarıyla gerçekleşti.';
		} else {
			$error = 'Bir hata oluştu.';
		}
	}
}

if(isset($_POST["read"])){
	$duzenle=$db->prepare("UPDATE iletisim SET
		durum=:durum
		WHERE id={$_POST['id']}");
	$update=$duzenle->execute(array(
		'durum' => 1
	));
	if ($update) {
		$success = 'İşlem başarıyla gerçekleşti.';
	} else {
		$error = 'Bir hata oluştu.';
	}
} 

require admin_view('iletisim');